Update member role
curl --request PATCH \
--url https://acusight.io/api/members/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "admin"
}
'import requests
url = "https://acusight.io/api/members/{id}"
payload = { "role": "admin" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role: 'admin'})
};
fetch('https://acusight.io/api/members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"display_name": "<string>",
"email": "<string>",
"id": "<string>",
"role": "<string>"
},
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Devices & provisioning
Update member role
PATCH
/
members
/
{id}
Update member role
Authorizations
JWT access token. Paste the token only; the Bearer prefix is added automatically.
Path Parameters
Zitadel user ID
Body
application/json
New role
Example:
"admin"
Was this page helpful?
⌘I